/*------------------ Шрифти ---------------*/
/* google fonts  ============================================================================================ */

@import url('https://fonts.googleapis.com/css2?family=Scada:ital,wght@0,400;0,700;1,400;1,700&display=swap');
/*@import url('https://fonts.googleapis.com/css2?family=Alegreya+Sans:ital,wght@0,100;0,300;0,400;0,500;0,700;0,800;0,900;1,100;1,300;1,400;1,500;1,700;1,800;1,900&display=swap');*/
/*@import url('https://fonts.googleapis.com/css2?family=Geologica:wght@100..900&display=swap');*/


html,body,div,span,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,abbr,address,cite,code,del,dfn,em,img,ins,kbd,q,samp,small,strong,sub,sup,var,b,i,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,figcaption,figure,footer,header,hgroup,menu,nav,section,summary,time,mark,audio,video{margin:0;padding:0;border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent}
body{line-height:1}
article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{display:block}
nav ul{list-style:none}
blockquote,q{quotes:none}
blockquote:before,blockquote:after,q:before,q:after{content:none}
/*a{margin:0;padding:0;font-size:100%;vertical-align:baseline;background:transparent;text-decoration:none}*/
mark{background-color:#ff9;color:#000;font-style:italic;font-weight:bold}
del{text-decoration:line-through}
abbr[title],dfn[title]{border-bottom:1px dotted;cursor:help}
table{border-collapse:collapse;border-spacing:0}
hr{display:block;height:1px;border:0;border-top:1px solid #ccc;margin:1em 0;padding:0}
input,select{vertical-align:middle}
li{list-style:none}


/* =============================================================================
   My CSS
   ========================================================================== */

/* ---- base ---- */
* {
  box-sizing: border-box;
}

html, body{ 
  width:100%;
  height:100%;
  /*background:#111;*/
}

html{
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body{

  font-style: normal;
  font-size: 75%;
  font-family: Scada, sans-serif;
  font-weight: 300;
  position: relative;
}

.save_btn{
  font-family: Scada, sans-serif;
}

canvas{
  display: block;
  vertical-align: bottom;
}



/* ---- particles.js container ---- */

#particles-js{
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: #327095;
  background-image: url('');
  background-size: cover;
  background-position: 50% 50%;
  background-repeat: no-repeat;
}

/* ---- particles.js container ---- */

#main_bg{
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: #327095;
/*  background-image: url('');
  background-size: cover;*/
  background-position: 50% 50%;
  background-repeat: no-repeat;
}

/*---------------- Стили для подложки ------------*/
.overlay {
   
   /* Скрываем подложку  */
   opacity: 0;
   visibility: hidden;
   
   position: fixed;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   background-color: rgba(0, 0, 0, .5);
   z-index: 20;
   transition: .3s all;
}

/*-----------  Стиль таймера до заходу ---------- */ 

#countdownTimer {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(0, 0, 0, 0.85);
    color: #fff;
    padding: 30px 40px;
    border-radius: 15px;
    text-align: center;
    z-index: 9999;
/*    font-family: 'Arial', sans-serif;*/
    box-shadow: 0 0 30px rgba(0,0,0,0.5);
}

#countdownTimer .timer-content {
    font-size: 18px;
    margin: 0px 20px 0px 20px;
}

#countdownTimer .timer-blocks {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-top: 20px;
}

#countdownTimer .time-block {
    background: #222;
    padding: 15px 20px;
    border-radius: 10px;
    min-width: 70px;
    font-size: 32px;
    font-weight: bold;
    text-align: center;
    transition: all 0.3s ease;
}

#countdownTimer .time-label {
    display: block;
    font-size: 14px;
    font-weight: normal;
    margin-top: 5px;
    color: #aaa;
}


/*-----------  Стиль лічильника відправлень листів та анкет ---------- */ 

:root {
    --blue-email: 33, 150, 243; /* #2196f3*/
    --red-form: 249, 136, 102;   /* #F98866*/

}

.counter-btn-email, .counter-btn-email-bg, .counter-btn-form, .counter-btn-form-bg {
    font-family: Scada, sans-serif;
    width: 20px;
    height: 17px;
    padding: 0;
    background: #fff;
    font-size: 10px;
    line-height: 17px;
    text-align: center;
    cursor: pointer;
    border-radius: 4px;
}

.counter-btn-email, .counter-btn-email-bg{
    border: 1px solid rgb(var(--blue-email));
    margin-right: 7px;
}

.counter-btn-email-bg{
    background: rgba(var(--blue-email), .6);
/*    color: #fff;*/
}

.counter-btn-email-bg:hover{
    background: rgba(var(--blue-email), 1);
}



.counter-btn-form, .counter-btn-form-bg {
    border: 1px solid rgb(var(--red-form));
    margin-right: 10px;
}

.counter-btn-form-bg{
    background: rgba(var(--red-form), .6);
/*    color: #fff;*/
}


.counter-btn-form-bg:hover{
    background: rgba(var(--red-form), 1);
}


/*-----------  Стилі модальних вікон - прогрес бар ----------*/

.modal-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.6);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}
.modal_bar {
    background: #fff;
    padding: 20px;
    width: 500px;
    border-radius: 6px;
    text-align: center;
}

.progress-wrap {
    width: 100%;
    height: 25px;
    background: #eee;
    border-radius: 7px;
    margin-top: 0px;
    margin-bottom: 20px;
}

#progressBar {
    height: 100%;
    width: 0%;
    background: #327095;
    transition: width .8s cubic-bezier(.25,.8,.25,1);
    border-radius: 7px;
    margin-bottom: 20px;
}

.modal_bar h3 {
    color: #2196f3;
    font-size: 20px;
    text-align: center;
    line-height: 24px;
    margin-bottom: 10px;
    text-transform: uppercase;
}

#progressText {
    color: #327095;
    font-size: 18px;
    font-weight: 700;
    text-align: center;
    line-height: 24px;
    
}

#okBtn {
   margin-pop: 20px; 

}



/*-----------  Стилі модальних вікон  ----------*/

.modal {
  opacity: 0;
  visibility: hidden;
  transform: translate(0, -600%);
  transition: transform 0.3s ease-out;
}

.opened {
  opacity: 1;
  visibility: visible;
  transform: translate(0, 0);
}

.close_edit, .close_edit2 {
    position: relative;
    right: 5px;
    top: -20px;
    width: 25px;
    height: 25px;
    opacity: 0.4;
    justify-self: right;
}


.close {
position: absolute;
right: 20px;
top: 15px;
width: 25px;
height: 25px;
opacity: 0.4;
}

.close:hover,
.close_edit:hover,
.close_edit2:hover{
opacity: 1;
}

.close:before,
.close:after,
.close_edit:before,
.close_edit:after,
.close_edit2:before,
.close_edit2:after {
position: absolute;
left: 15px;
content: ' ';
height: 25px;
width: 4px;
background-color: #327095;
}

.close:before,
.close_edit:before,
.close_edit2:before{
transform: rotate(45deg);
}

.close:after,
.close_edit:after,
.close_edit2:after {
transform: rotate(-45deg);
}

.decor {
  position: relative;
  max-width: 400px;
  margin: 50px auto 0;
  background: white;
  border-radius: 7px;
  z-index: 30;
  /*left: 340px;*/
}

.decor_import {
  position: relative;
  max-width: 400px;
  margin: 50px auto 0;
  background: white;
  border-radius: 10px;
  z-index: 30;
}

.error {
  color: #f44336;
  text-transform: uppercase;
  font-weight: bold;
}

.alert {
  color: #55bb55;
  text-transform: uppercase;
  font-weight: bold;
}
/* ------------ боковые элементы формы--------------------*/

.form-left-decoration,
.form-right-decoration {
  content: "";
  position: absolute;
  width: 50px;
  height: 20px;
  background: #327095;
  border-radius: 20px;
}

.form-left-decoration {
  bottom: 60px;
  left: -30px;
}

.form-right-decoration {
  top: 60px;
  right: -30px;
}

.form-left-decoration:before,
.form-left-decoration:after,
.form-right-decoration:before,
.form-right-decoration:after {
  content: "";
  position: absolute;
  width: 50px;
  height: 20px;
  border-radius: 30px;
  background: white;
}

.form-left-decoration:before {top: -20px;}
.form-left-decoration:after {
  top: 20px;
  left: 10px;
}

.form-right-decoration:before {
  top: -20px;
  right: 0;
}

.form-right-decoration:after {
  top: 20px;
  right: 10px;
}

.circle {
  position: absolute;
  bottom: 80px;
  left: -55px;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: white;
}

.form-inner {
  padding: 20px 50px 20px 50px;
}

.form-inner-import {
  padding: 15px 50px 0px 50px;
}

.form-inner2 {
  line-height: 40px;
}

.form-inner2 h3 {
  margin-top: 0;
  /*font-family: 'Play', sans-serif;*/
  /* font-weight: 500; */
  font-size: 20px;
  color: #7d7d7d;
  margin-bottom: 25px;
  text-align: center;
}

.form-inner input,
.form-inner textarea {
  display: block;
  width: 100%;
  padding: 5px 20px;
  margin-bottom: 10px;
  background: #E9EFF6;
/*  line-height: 25px;*/
  border-width: 0;
  border-radius: 5px;
  /*font-family: 'Play', sans-serif;*/
  font-size: 15px;
  outline: none;
}

.form-inner input[type="submit"] {
    margin-top: 30px;
    background: #327095;
    color: white;
    font-size: 15px;
    text-transform: uppercase;
    /* width: 100%; */
    height: 35px;
    cursor: pointer;
    font-family: Scada, sans-serif;
}

.form-inner input[type="submit"]:hover {
  background: #225b7d;
  cursor: pointer;
}

.form-inner textarea {resize: none;}
.form-inner h3 {
  margin-top: 0;
  /*font-family: 'Play', sans-serif;*/
  /* font-weight: 500; */
  font-size: 20px;
  color: #327095;
  margin-bottom: 25px;
  text-align: center;
  text-transform: uppercase;
}

@media(max-width:480px){
  .form-left-decoration, 
  .form-right-decoration, 
  .circle {display: none;}
  .form-inner{padding: 30px 20px;}
  .form-inner h3{text-align:center;}
}

@media(max-width:320px){
  .decor {
   margin: 50px auto 0;
 }

}

form p{
    text-align: center;
    font-size: 13px;
    color: #7d7d7d;
    padding-top: 10px;
    line-height: 25px;
    
}

form a{
    
    font-size: 13px;
    color: #327095;
    font-weight: 700;
    text-decoration: none;
    text-transform: uppercase;
    padding-top: 10px;
}

.msg {
    text-align: center;
    border: 2px solid #ff8404;
    border-radius: 10px;
    padding: 5px;
    width: 100%;
    margin-top: 10px;
    color: #ff8404;
    font-weight: 700;
    text-transform: uppercase;
}

.container {
    margin: 0 auto;
    width: 100%;
    height: 100%;
    /*overflow-y: visible;*/
}

header {
  text-align: center;
  width: 100%;
  /*height: 40px;*/
  position: relative;
  background: rgb(255, 255, 255, 0.3);
  /*display: inline-flex;*/
  /*justify-content: space-around;*/
}

.title {
  display: inline-block;
  margin-bottom:0;
  font-size: 2em;
  color: #fff;
  font-weight: 300;
  line-height: 1.7em;
}

.user {
  display: inline-block;
  
}

.list {
    display: inline-block;
    margin-bottom:0;
    font-size: 1.5em;
    color: #fff;
    font-weight: 300;
    line-height: 1.7em;
}

.event_name {
    margin-bottom: 10px;
    font-size: 2em;
    color: #fff;
    /*font-weight: 700;*/
    line-height: 1em;
}

.event_name span{
    font-weight: 700;
 }

@media(max-width:850px){
 .title {
    margin-bottom: 0;
    font-size: 1.2em;
    /* font-family: 'Poiret One', cursive; */
    color: #fff;
    font-weight: 300;
    line-height: 1.3em;
    
  }
}

@media(max-width:480px){
 .title {
    margin-bottom: 0;
    font-size: 1em;
    /* font-family: 'Poiret One', cursive; */
    color: #fff;
    font-weight: 300;
    line-height: 1.3em;
    margin-top: 4px;
    
  }

  .event_name {
    margin-bottom: 5px;
    font-size: 1.4em;
    color: #fff;
    font-weight: 700;
    line-height: 1em;
}

  .list {
    font-size: 1.2em;
    
  }
}

.menu {
  text-align: center;
  width: 100%;
  height: 40px;
  position: relative;
  background: rgb(255, 255, 255, 0.5);
  margin-bottom: 0;
  
}

.serch_conteiner{

  display: inline-flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}

.menu_element {
    display: inline-block;
}

@media(max-width:768px){

  .menu_element a span{
    display: none;
  }

  .menu_element label span{
    display: none;
  }

  .btn2, .btn{
    margin-left: 10px;
    opacity: 1;
  }

  .icon_btn {
    margin-right: 0px !important;
    color: #fff;
  }
}

.btn{
  font-size: 1.1em;
  color: #fff;
  background: #327095;
  line-height: 40px;
  text-decoration: none;
  text-transform: uppercase;
  margin: 0 10px;
  border: 1px solid;
  border-radius: 5px;
  padding: 6px 10px;
}

.btn2{
  font-size: 1.1em;
  color: #fff;
  background: #f44336;
  line-height: 40px;
  text-decoration: none;
  text-transform: uppercase;
  margin: 0 10px;
  margin-left: 50px;
  border: 1px solid;
  border-radius: 5px;
  padding: 6px 10px;
  opacity: 0.4;
}

.save_btn{
  font-size: 1.1em;
  color: #fff;
  background: #327095;
  line-height: 30px;
  text-decoration: none;
  text-transform: uppercase;
  margin: 0 10px;
  border: 1px solid;
  border-radius: 5px;
  padding: 0px 15px;
  opacity: 0.4;
}

.btn_l{
  font-size: 1.1em;
  color: #fff;
  background: #327095;
  line-height: 40px;
  text-decoration: none;
  text-transform: uppercase;
  margin: 0 0 0 10px;
  border: 1px solid;
  border-right: 0 !important;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  padding: 6px 10px 6px 10px;
  position: relative;
}

.btn_r{
  font-size: 1.1em;
  color: #fff;
  background: #327095;
  line-height: 40px;
  text-decoration: none;
  text-transform: uppercase;
  margin: 0 10px 0 -3px;
  border: 1px solid;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  padding: 6px 10px 6px 10px;
}

@media(max-width:480px){
 .menu {
    margin-bottom: 0;
    font-size: 1.1em;
    color: #524f4e;
    font-weight: 300;
    line-height: 2.7em;
   
  }
}

.logout a{
  text-decoration: none;
  outline: none;
  font-size: 13px;
  color: #524f4e;
  border-bottom: 2px solid rgb(255, 255, 255);
  transition: .2s linear;
  position: absolute;
  top: 0;
  right: 14px;
  line-height: 1.7em;
  cursor: pointer;
  margin: 5px;
}

.current-demo, nav a:hover {
  border-color: inherit;
}

@media(max-width:480px){
  .container{
    /*padding:0;*/
  }
}

.admin {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.8);
  top: 0;
  left: 0;
  opacity: 0;
  visibility: hidden;

}

.admin__body {
  min-height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 30px 10px;
}

.admin__content {
  background-color: #fff;
  color: #000;
  max-width: 600px;
  padding: 30px;
  position: relative;

}

.admin__close {
  position: absolute;
  top: 10px;
  right: 10px;
  color: #000;
  font-size: 20px;
  text-decoration: none;


}

.admin__title {
  font-size: 24px;
  margin: 0px 0px 1em 0px;
}

.video {
  display: flex;
  justify-content: center;

}

.video iframe{
  position: absolute;
  width: 100%;
  height: 100%;
  max-width: 100%;
  border: none; /* Прибирає рамку */
  /*width: 80vw;
  height: 45vw;*/
}

/* Для мобільних пристроїв у альбомному режимі */
  @media (max-width: 768px) and (orientation: landscape) {
    .video iframe {
      height: 100vh;
      position: fixed;
      top: 0;
      left: 0;
      z-index: 9999; /* Щоб був поверх інших елементів */
    }
  }

.no_video {
    font-size: 18px;
    font-weight: 700;
    line-height: 30px;
    padding: 20px 40px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    min-width: 350px;
    max-width: 400px;
    height: 130px;
    background: rgb(255, 255, 255, 0.3);
    border-radius: 10px;
    color: #fff;
    text-align: center;
    vertical-align: middle;
    display: inline-block;
    border: 2px solid #fbfbfb;

}

.hide-top{
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 15%;
  /*height: 15%;*/


}

.hide-bottom {
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;
  height: 12%;
}


/* ===================== Стили таблицы ======================= */
#end_date_in_table{
  font-size: 12px;
}


.users__table {
    position: absolute;
    top: 95px;
    left: 50%;
    transform: translate(-50%, 0);
    width: 100%;
    height: 90%;
    padding: 0 30px;
}

.event_name_title {
    transform: translate(0, 0);
    width: 100%;
    height: 55px;
    text-align: center;
}

.event_name_title span{
    font-weight: normal;
    font-size: 0.8em;
}

@media(max-width:850px){
  .event_name_title {
    font-size: 0.8em;
  }

}

@media(max-width:480px){
  .event_name_title {
    font-size: 0.7em;
  }

.users__table {
     width: 97%;
     top: 70px;
     padding: 0 5px;
  }
}

.table_container {
    overflow-x: auto;
    max-width: 100%;
    height: 80%;
    margin-top: 10px;
}

/*.table_container {
    min-width: 320px;
    max-width: 100%;
    padding: 0 15px;
    box-sizing: border-box;
}

@media (max-width: 720px) {

  .table_container table thead {
    display: none;
  }

  .table_container table tr {
    display: block;
  }

  .table_container table td {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
  }

  .table_container table td::before {
    content: attr(data-label);
    font-weight: normal;
    margin-right: 20px;
  }

}*/

.send_info {
  margin-left: 20px;
  /*opacity: 0.4;*/
  color: #2196f3;
  cursor: pointer;
  /*position: relative;*/
  font-size: 18px;
}


.simple-little-table {
  /*font-family:Arial, Helvetica, sans-serif;*/

  color:#444;
  font-size:14px;
  border-collapse: collapse;
  width: 100%;
  margin: 0px 0;
  
}


@media(max-width:480px){
 .simple-little-table {
    margin: 7px 0px;
}
}


.simple-little-table th {
  font-weight: bold;
  padding: 3px 3px 3px 3px;
  vertical-align: middle;

  border-right: 1px solid #e0e0e0;

  background: #bdbbbb;
  background: -webkit-gradient(linear, left top, left bottom, from(#bdbbbb), to(#ebebeb));
  background: -moz-linear-gradient(top,  #bdbbbb,  #ebebeb);

  position: sticky; /* Фіксуємо заголовок */
  top: 0; /* Залишаємо його на вершині при прокрутці */
  z-index: 1; /* Перекриваємо інші елементи */
}

.simple-little-table th:first-child{
  text-align: center;
  width: 3%;

}

.simple-little-table tr:first-child th:first-child{
  -moz-border-radius-topleft:5px;
  -webkit-border-top-left-radius:5px;
  border-top-left-radius:5px;
}

.simple-little-table tr:first-child th:last-child{
  -moz-border-radius-topright:5px;
  -webkit-border-top-right-radius:5px;
  border-top-right-radius:5px;
}

.simple-little-table tr{
  text-align: center;
  
}

.simple-little-table tr td:first-child{
  text-align: center;
  border-left: 0;
}

.simple-little-table tr td {
  vertical-align: middle;
  padding: 1px 1px 1px 1px;
  border-top: 1px solid #ffffff;
  border-bottom:1px solid #e0e0e0;
  border-left: 1px solid #e0e0e0;
/*  іwhite-space: nowrap;*/
  background: #fafafa;
  background: -webkit-gradient(linear, left top, left bottom, from(#fbfbfb), to(#fafafa));
  background: -moz-linear-gradient(top,  #fbfbfb,  #fafafa);
}

.simple-little-table tr:nth-child(even) td{
  vertical-align: middle;
  background: #F0F0F0;
  background: -webkit-gradient(linear, left top, left bottom, from(#f8f8f8), to(#F0F0F0));
  background: -moz-linear-gradient(top,  #f8f8f8,  #F0F0F0);
}

.simple-little-table tr:last-child td{
  border-bottom:0;
}

.simple-little-table tr:last-child td:first-child{
  -moz-border-radius-bottomleft:5px;
  -webkit-border-bottom-left-radius:5px;
  border-bottom-left-radius:5px;
}

.simple-little-table tr:last-child td:last-child{
  -moz-border-radius-bottomright:5px;
  -webkit-border-bottom-right-radius:5px;
  border-bottom-right-radius:5px;
}

.simple-little-table tr:hover td{
  background: #f2f2f2;
  background: -webkit-gradient(linear, left top, left bottom, from(#f2f2f2), to(#f0f0f0));
  background: -moz-linear-gradient(top,  #f2f2f2,  #f0f0f0);
}

.simple-little-table a:link {
  color: #666;
/*  font-weight: bold;*/
  text-decoration:none;
  white-space: nowrap;
}

.simple-little-table a:visited {
  color: #999999;
  font-weight:bold;
  text-decoration:none;
}

.simple-little-table a:active,
.simple-little-table a:hover {
  color: #a0cff4;
/*  text-decoration:underline;*/
}

.td_name {
  cursor: pointer;
}

.user_conteiner {
  display: flex;
  align-items: center;
  margin-left: 15px;
}

.stream_url:hover::after {
    content: attr(data-title);
    position: relative;
    z-index: 1;
    background: rgb(50, 112, 159);
    color: rgb(255, 255, 255);
    text-align: center;
    font-family: Scada, sans-serif;
    font-size: 11px;
    font-weight: normal;
    padding: 6px 10px;
    border-radius: 3px;
    outline: none;
    text-transform: uppercase;

    left: -25px;
    bottom: 8px;
    width: 110px;    
  
}

.stream_url {

    font-weight: normal;
    cursor: pointer;
  
}

/*-----------  Список ивентов  ----------*/

.icon_set {
  margin: 0 10px;
  font-size: 16px;
}


/*-----------  Кнопка удалить  ----------*/

.name_conteiner {
  display: flex;
  align-items: center;
  margin-left: 2px;
}

.name_conteiner span {
    display: inline-block;
    text-align: left;
    width: 100%;
    height: 100%;
    margin-top: 3px;
    margin-bottom: 3px;
}

.event_name_title:hover {
  color: #2196f3;
}

.edit {
  margin-left: 5px;
  opacity: 0.4;
  color: #ff9800;
  cursor: pointer;
}

.edit_email {
    opacity: 0.4;
    cursor: pointer;
}


.del, .connected {
  margin-left: 3px;
  margin-right: 3px;
  opacity: 0.4;
  color: #f44336;
  cursor: pointer;
  position: relative;
}

.play:hover,
.stop:hover,
.edit:hover,
.edit_email:hover,
.send_all_email:hover,
.send_all_form:hover,
.del:hover, 
.connected:hover,
.sent:hover,
.not_sent:hover,
.sent__form:hover,
.not_sent__form:hover {
  opacity: 1;

}

#all_user_connection_reset:hover {
  color: #f44336;
  
}

/*-----------  Кнопки Play и Stop ----------*/

.stream_container {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

.wait, .play, .stop {
  margin-left: 5px;
  margin-right: 5px;
}

.wait {
  align-self: center;
  color: #ff9800;
}

.play {
  align-self: center;
  color: #55bb55;
  cursor: pointer;
  position: relative;
  opacity: 0.5;
}

.stop {
  align-self: center;
  color: #f44336;
  cursor: pointer;
  position: relative;
  opacity: 0.5;
  
}

.all_stop {
  align-self: center;
  color: #f44336;
  cursor: pointer;
  position: relative;
  /*opacity: 0.5;*/
  
}

.all_play {
  align-self: center;
  color: #55bb55;
  cursor: pointer;
  position: relative;
  /*opacity: 0.5;*/
}

#all_user_connection_reset {
  align-self: center;
  /*color: #55bb55;*/
  cursor: pointer;
  position: relative;
  /*opacity: 0.5;*/
}

#all_user_connection_reset:hover::after,
.all_stop:hover::after,
.all_play:hover::after,
.connected:hover::after,
.not_paid:hover::after,
.send_all_email:hover::after,
.send_all_form:hover::after{
    content: attr(data-title);
    position: absolute;
    z-index: 1;
    background: rgb(50, 112, 159);
    color: rgb(255, 255, 255);
    text-align: center;
    font-family: Scada, sans-serif;
    font-size: 11px;
    font-weight: normal;
    padding: 6px 10px;
    border-radius: 3px;
    outline: none;
    text-transform: uppercase;
    white-space: nowrap;
    transition: opacity 0.3s, visibility 0.3s;
}

.send_all_email:hover::after {
    left: 45px;
    top: 35px;
/*    width: 120px;*/
}

.send_all_form:hover::after {
    left: 100px;
    top: 35px;
/*    width: 120px;*/
}


#all_user_connection_reset:hover::after{
    left: -185px;
    bottom: -5px;
/*    width: 100%; */
}

.all_stop:hover::after,
.all_play:hover::after {
    left: -150px;
    bottom: -3px;
/*    width: 110px;*/
}

.connected:hover::after {
    left: 19px;
    bottom: -4px;
/*    width: 120px;*/
}

.not_paid:hover::after {
    left: -175px;
    bottom: -4px;
/*    width: 120px;*/
}

.td_email {
    display: inline-block;
    text-align: left;
    width: 100%;
}

.td_connected {
    display: inline-block;
    text-align: left;
    width: 100%;
}

.sent, .not_sent {
  margin-left: 10px;
  opacity: 0.4;
  color: #2196f3;
  cursor: pointer;
}



th.th-head {
  padding: 0;
}

.th-inner {
  display: grid;
  grid-template-columns: 1fr auto; /* ← магія */
  align-items: stretch;
  width: 100%;
  white-space: nowrap;
  container-type: inline-size;
}

/* коли колонка стає вузькою */
@container (max-width: 230px) {
  .th-text .label-email,
  .th-text .label-form {
    display: none;
  }
}

.th-text {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  min-width: 0;
}

.th-actions-send {
  display: flex;
  align-items: stretch;
  justify-self: end;
  margin-right: 5px;
}

.th-actions-send i {
  display: flex;
  align-items: center;
  height: 100%;
  cursor: pointer;
}


.url-end {
  display: block;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  direction: rtl;
  text-align: left;
}


.url-cell {
  max-width: 300px; /* або % від ширини таблиці */
  padding: 0 4px;
}

.url-wrapper {
  display: block;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  direction: rtl;   /* щоб обривав початок URL */
/*  text-align: left;*/
}




.edit_email, .send_all_email {
  color: #2196f3;
  cursor: pointer;
}

.edit_email, #edit__form {

  margin-left: 3px;
  margin-right: 3px;
}

 .send_all_email {
  opacity: 0.4;
/*  margin-left: 20px;*/
  margin-right: 5px;
}

 .send_all_form{
  opacity: 0.4;
  margin-left: 5px;
  margin-right: 5px;
}

#sent___form{

  margin-left: 7px;
  margin-right: 5px;
}

.sent__form, .not_sent__form, .send_all_form {
  color: #F98866;
  cursor: pointer;
}

.sent__form {
  opacity: 1;
  color: #881199;
}

.not_sent__form {
  opacity: 0.6;
}



.set_free {
  cursor: pointer;
}

.green {
  color: #55bb55;
  
}

.red {
  color: #f44336;
  
}

.paid {
  color: #55bb55;
  
}

.not_paid {
  /*opacity: 0.4;*/
  color: #f44336;
  cursor: pointer;
  position: relative;
}

.form-serch {
    display: inline-block;
    background: #ffffff !important;
    margin-left: 50px;
    margin-bottom: 3px;
    border: 0px solid;
    width: 200px;
    height: 28px;
    border-radius: 5px;
    padding-left: 10px;
    outline: none;
}

/*================ Превью  ==================*/

.view_down_first {
  align-self: center;
  cursor: pointer;
  font-size: 18px;
  margin: 0 10px;
}

.view_down {
  align-self: center;
  cursor: pointer;
  font-size: 18px;
}

.event_info {
 
  
}

.event_info_bg {
  opacity: 0.2;

}

.event_img {
  width: 304px;
  height: 171px;
  margin-left: 5px;

}

.event_img_logo {
  width: 80vw;
  height: 45vw;
  z-index: 3;

}

.no_view {
  display: none;
  
}

.small_video {
 
   margin: 5px 0;
  
}

/*================ Превью  ==================*/

.event_img_conteiner {
  display: flex;
  align-items: center;
  justify-content: space-between;
}


/*================ IMPORT and EXPORT  ==================*/

.icon_btn {
  margin-right: 10px;
  color: #fff;
  
}

.inputfile {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}

.inputfile + label {
  cursor: pointer; 
}

.btn:hover, .btn_l:hover, .btn_r:hover {
  background-color: #225b7d;

}

.btn2:hover, .save_btn:hover {
  opacity: 1;

}

.btn_r {
   position: relative;
 
}

.btn_r:hover::after {
    content: attr(data-title);
    position: absolute;
    right: -75px;
    bottom: -35px;
    z-index: 1;
    background: #f44336;
    color: #fff;
    text-align: center;
/*    font-family: 'Play', sans-serif;*/
    font-size: 12px;
    font-weight: normal;
    /*padding: 8px 5px;*/
    border-radius: 5px;
    border: 1px solid #fff;
    width: 180px;
    line-height: 30px;
    outline: none;
    text-transform: uppercase;
}

/*#import:hover, #setup:hover, #mail:hover, #export:hover, #create:hover, #back:hover {
  background-color: #225b7d;
}*/

.payment_check {
    border-radius: 5px;
    margin-bottom: 10px;
    height: 40px;
    background-color: #e9eff6;
    color: gray;
    padding: 0 20px;
    line-height: 40px;
}

.payment_check div{
    display: inline-block;
    width: 90%;
    font-size: 16px;
    color: black;
    border-radius: 5px;
}

.payment_check input{
    display: inline-block;
    width: 16px;
    margin-top: 8px;
    height: 16px;
}

.checkbox:checked {
  background-color: #f44336;

}

/* ================ Задати шрифти для елементів ==========================*/

input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
  font-family: Scada, sans-serif;
  color: #999;
}

input::-moz-placeholder,
textarea::-moz-placeholder {
  font-family: Scada, sans-serif;
  color: #999;
  opacity: 1;
}

input:-ms-input-placeholder,
textarea:-ms-input-placeholder {
  font-family: Scada, sans-serif;
  color: #999;
}

input::placeholder,
textarea::placeholder {
  font-family: Scada, sans-serif;
  color: #999;
  opacity: 1;
}

/* ================ Виджет ЧАТ ==========================*/

#hypercomments_widget {
    display: none;
    overflow-y: auto;
    overflow-x: hidden;
    top: 0px;
    width: 350px;
    box-sizing: border-box;
    position: absolute;
    z-index: 16;
    background-color: rgba(250, 250, 255, .8);
    height: 100%;
    right: 0px;
    /* padding: 2px 32px 2px 12px; */
    -webkit-transition: right 400ms, opacity 400ms, height 300ms, width 400ms, background-color 400ms;
    transition: right 400ms, opacity 400ms, height 300ms, width 400ms, background-color 400ms;
    -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, .6);
    box-shadow: 0 0 20px rgba(0, 0, 0, .6);
}

@media screen and (max-width: 800px){
  #hypercomments_widget {
      -webkit-box-shadow: none;
      box-shadow: none;
      height: 100% !important;
      
  }
}

@media screen and (max-width: 350px){
  #hypercomments_widget {

      width: 320px;
  }
}
.comment_arrow {
    position: absolute;
    z-index: 999;
    text-align: center;
    width: 26px;
    height: 130px;
    top: 50%;
    right: 0;
    margin-top: -65px;
    color: white;
    cursor: pointer;
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, .8);
    box-shadow: 0 0 10px rgba(0, 0, 0, .8);
    background: url(../img/chat.png);
    background-size: contain;
}